[android-components](../../index.md) / [mozilla.components.browser.awesomebar](../index.md) / [BrowserAwesomeBar](index.md) / [onInputChanged](./on-input-changed.md)

# onInputChanged

`@Synchronized fun onInputChanged(text: `[`String`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-string/index.html)`): `[`Unit`](https://kotlinlang.org/api/latest/jvm/stdlib/kotlin/-unit/index.html) [(source)](https://github.com/mozilla-mobile/android-components/blob/master/components/browser/awesomebar/src/main/java/mozilla/components/browser/awesomebar/BrowserAwesomeBar.kt#L139)

Overrides [AwesomeBar.onInputChanged](../../mozilla.components.concept.awesomebar/-awesome-bar/on-input-changed.md)

Fired whenever the user changes their input, after they have started interacting with the awesome bar.

### Parameters

`text` - The current user input in the toolbar.